#[cfg(target_os = "linux")]
use display_info::DisplayInfo as DI;
use crate::dtos::display::DisplayInfo;

#[cfg(target_os = "linux")]
pub fn get_display_info() -> Vec<DisplayInfo> {
	let display_infos = DI::all().expect("Cannot load display infos");
	let mut display_info_list = vec![];

	for (index, display) in display_infos.iter().enumerate() {
		display_info_list.push(DisplayInfo {
			name: display.name.clone(),
			edid: None,
		});
	}

	display_info_list
}
